update to ri5cy core interrupt system and toolchain
#5
(01-04-2019, 07:26 AM)lightning_fingers Wrote:
(01-03-2019, 11:05 AM)lightning_fingers Wrote: anyone?

where can I download/build the latest software tools for the latest RI5CY core?

thanks

I've been in contact via twitter, and got a reply, suggesting:
https://github.com/pulp-platform/pulp-ri...-toolchain

yet when I build this toolchain, I cant use the -march=IMXpulpv2 switch when trying to compile some c code, like:
riscv32-unknown-elf-gcc -nostdlib -nostartfiles -Tlink.ld -O3 -march=IMXpulpv2 -o hello.o hello.c

I get:
Fatal error: -march=IMXpulpv2: ISA string must begin with rv32 or rv64

I built the tool chain with:
./configure  --with-arch=rv32imc --with-cmodel=medlow --enable-multilib

anyone have any ideas how I can build the latest ri5cy toolchain then compile some c code which will use the latest ri5cy hardware additions/extensions?

note: the pulp-platform tools emit perfectly fine riscv 32 bit code, I need to know how to generate ri5cy code.

many thanks



through trial and error I found the arch string required is march=rv32imxpulpv3

this then generates code I can see uses the hardware loop extensions.
Reply


Messages In This Thread
RE: update to ri5cy core interrupt system and toolchain - by lightning_fingers - 01-04-2019, 04:02 PM

Forum Jump: